Package org.eclipse.birt.chart.model.type

# Interface StockSeries

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `Series`

All Known Implementing Classes:
  `StockSeriesImpl`

public interface StockSeries extends Series
A representation of the model object 'Stock Series'. This is a Series type that holds data for Stock Charts.

The following features are supported:

- `Fill`
- `Line Attributes`

See Also:
  - `TypePackage.getStockSeries()`

## Method Summary

Modifier and Type
Method
Description
`StockSeries`
`copyInstance()`
`Fill`
`getFill()`
Returns the value of the 'Fill' containment reference.
`LineAttributes`
`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`int`
`getStickLength()`
Returns the value of the 'Stick Length' attribute.
`boolean`
`isSetShowAsBarStick()`
Returns whether the value of the '`Show As Bar Stick`' attribute is set.
`boolean`
`isSetStickLength()`
Returns whether the value of the '`Stick Length`' attribute is set.
`boolean`
`isShowAsBarStick()`
Returns the value of the 'Show As Bar Stick' attribute.
`void`
`setFill(Fill value)`
Sets the value of the '`Fill`' containment reference.
`void`
`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
`setShowAsBarStick(boolean value)`
Sets the value of the '`Show As Bar Stick`' attribute.
`void`
`setStickLength(int value)`
Sets the value of the '`Stick Length`' attribute.
`void`
`unsetShowAsBarStick()`
Unsets the value of the '`Show As Bar Stick`' attribute.
`void`
`unsetStickLength()`
Unsets the value of the '`Stick Length`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getFill

Fill getFill()
Returns the value of the 'Fill' containment reference. Defines the fill to be used for the Candle.

Returns:
  the value of the 'Fill' containment reference.
See Also:
  - `setFill(Fill)`
  - `TypePackage.getStockSeries_Fill()`

### setFill

void setFill(Fill value)
Sets the value of the '`Fill`' containment reference.

Parameters:
  `value` - the new value of the 'Fill' containment reference.
See Also:
  - `getFill()`

### getLineAttributes

LineAttributes getLineAttributes()
Returns the value of the 'Line Attributes' containment reference. Specifies the style to be used to display the lines for this series.

Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `setLineAttributes(LineAttributes)`
  - `TypePackage.getStockSeries_LineAttributes()`

### setLineAttributes

void setLineAttributes(LineAttributes value)
Sets the value of the '`Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `getLineAttributes()`

### isShowAsBarStick

boolean isShowAsBarStick()
Returns the value of the 'Show As Bar Stick' attribute. The default value is `"false"`. Specifies if show graph as bar-stick look.

Returns:
  the value of the 'Show As Bar Stick' attribute.
See Also:
  - `isSetShowAsBarStick()`
  - `unsetShowAsBarStick()`
  - `setShowAsBarStick(boolean)`
  - `TypePackage.getStockSeries_ShowAsBarStick()`

### setShowAsBarStick

void setShowAsBarStick(boolean value)
Sets the value of the '`Show As Bar Stick`' attribute.

Parameters:
  `value` - the new value of the 'Show As Bar Stick' attribute.
See Also:
  - `isSetShowAsBarStick()`
  - `unsetShowAsBarStick()`
  - `isShowAsBarStick()`

### unsetShowAsBarStick

void unsetShowAsBarStick()
Unsets the value of the '`Show As Bar Stick`' attribute.

See Also:
  - `isSetShowAsBarStick()`
  - `isShowAsBarStick()`
  - `setShowAsBarStick(boolean)`

### isSetShowAsBarStick

boolean isSetShowAsBarStick()
Returns whether the value of the '`Show As Bar Stick`' attribute is set.

Returns:
  whether the value of the 'Show As Bar Stick' attribute is set.
See Also:
  - `unsetShowAsBarStick()`
  - `isShowAsBarStick()`
  - `setShowAsBarStick(boolean)`

### getStickLength

int getStickLength()
Returns the value of the 'Stick Length' attribute. The default value is `"5"`. Specifies the length of the stick when show as bar-stick look.

Returns:
  the value of the 'Stick Length' attribute.
See Also:
  - `isSetStickLength()`
  - `unsetStickLength()`
  - `setStickLength(int)`
  - `TypePackage.getStockSeries_StickLength()`

### setStickLength

void setStickLength(int value)
Sets the value of the '`Stick Length`' attribute.

Parameters:
  `value` - the new value of the 'Stick Length' attribute.
See Also:
  - `isSetStickLength()`
  - `unsetStickLength()`
  - `getStickLength()`

### unsetStickLength

void unsetStickLength()
Unsets the value of the '`Stick Length`' attribute.

See Also:
  - `isSetStickLength()`
  - `getStickLength()`
  - `setStickLength(int)`

### isSetStickLength

boolean isSetStickLength()
Returns whether the value of the '`Stick Length`' attribute is set.

Returns:
  whether the value of the 'Stick Length' attribute is set.
See Also:
  - `unsetStickLength()`
  - `getStickLength()`
  - `setStickLength(int)`

### copyInstance

StockSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`